=== containments/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2019 Marco Martin <mart@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(panel)
add_subdirectory(homescreens)
add_subdirectory(taskpanel)
