=== debian/changelog ===
plasma-mobile (6.5.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 6.3.6-4.

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:09:51 +0200
