=== debian/changelog ===
plasma-mobile (6.5.0+p24.04+vstable+git20251021.0931-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:31:26 +0000

plasma-mobile (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:40:56 +0000
