## plasma-mobile 6.5.0+p24.04+vstable+git20251028.0310

=== debian/changelog ===
plasma-mobile (6.5.0+p24.04+vstable+git20251028.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 03:11:03 +0000
