=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: optional
XSBC-Original-Maintainer: Boudewijn Rempt <boud@valdyas.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfigwidgets-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kpeople-dev,
               kf6-kservice-dev,
               kf6-modemmanager-qt-dev,
               kf6-networkmanager-qt-dev,
               kwayland-dev,
               kwin-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-workspace-dev,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-sensors-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://plasma-mobile.org
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-mobile.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-mobile
Maintainer: Neon CI <neon@kde.org>

Package: plasma-mobile
Architecture: any
Depends: fonts-mplus,
         fonts-oxygen,
         kf6-bluez-qt,
         kf6-breeze-icon-theme,
         kf6-kactivities,
         kf6-kdeclarative,
         kf6-kio,
         kf6-kirigami2,
         kf6-kpeople,
         kf6-modemmanager-qt,
         kf6-networkmanager-qt,
         kscreenlocker,
         kwin-wayland,
         layer-shell-qt,
         libplasma6,
         milou,
         plasma-nano,
         plasma-workspace,
         powerdevil (>= 4:6.3.80),
         qml6-module-org-kde-pipewire,
         qml6-module-qtquick-localstorage,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-settings (<< 24.02), powerdevil-data (<< 4:6.3.80)
Replaces: plasma-settings (<< 24.02)
Description: Set of components required for Plasma Phone
 Phone components for KDE Plasma.

Package: plasma-phone-components
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Priority: optional
Section: oldlibs
Description: Set of components required for Plasma Phone - transitional
 Phone components for KDE Plasma.
 .
 Dummy package which can be removed.
