=== debian/changelog ===
plasma-mobile (6.5.1+p24.04+vstable+git20251029.0838-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:38:49 +0000

plasma-mobile (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:10:13 +0000
