## plasma-mobile 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 project(plasma-mobile)
 set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
